package cn.yw.nhyw.nhywjtxcrzgl.dao;
import cn.base.dao.BaseSqlMapDAO;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("nhywjtssxcdDao")
public class NhywjtssxcdDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Nhywjtssxcd(Map map) throws SQLException{
		this.insert("insert_Nhywjtssxcd",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	public void batch_insert_Nhywjtssxcd(List batch) throws SQLException{
		this.insert("batch_insert_Nhywjtssxcd",batch);
	}
	 
	/**
	 * 修改记录
	 */
	public Integer update_Nhywjtssxcd(Map map) throws SQLException{
		return this.update("update_Nhywjtssxcd",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywjtssxcd(Map map) throws SQLException{
		return this.delete("delete_Nhywjtssxcd",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	public Integer batch_delete_Nhywjtssxcd(Map map) throws SQLException{
		return this.delete("batch_delete_Nhywjtssxcd",map);
	}
	
	/**
	 * 查询总数
	 */
	public Integer count_Nhywjtssxcd(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Nhywjtssxcd",map);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public List<Map> query_Nhywjtssxcd(Map map) throws SQLException{
		return this.queryForPage("query_Nhywjtssxcd",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Nhywjtssxcd(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Nhywjtssxcd",map);
	}
}
